Skip to content
Start here

Delete K2 stream

DELETE/accounts/{account_id}/k2/streams/{stream_id}

Delete a K2 stream in an account. Deleting a stream that does not exist also succeeds.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Path ParametersExpand Collapse
account_id: string

Specifies the public ID of the account.

maxLength32
minLength32
stream_id: string

Specifies the public ID of the K2 stream.

maxLength32
minLength32
ReturnsExpand Collapse
errors: array of object { message, code }
message: string
code: optional number
messages: array of object { message, code }
message: string
code: optional number
result: unknown
success: boolean

Indicates whether the API call was successful.

Delete K2 stream

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/k2/streams/$STREAM_ID \
    -X DELETE \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "result": {},
  "success": true
}